#######################################
# Common to simple and priority gossip
#######################################
include.control                     srps stats

simulation.endtime                  25
network.size                        1000000

init.sch                            CDScheduler
init.sch.protocol                   sgossip
#init.sch.randstart

init.src                            SourceSetter
init.src.protocol                   sgossip
init.src.sources                    10
init.src.variables                  10
init.src.delay                      1

control.stats                       RoundStats
control.stats.step                  1
control.stats.protocol              sgossip
control.stats.density               0.1
control.stats.sources               10

protocol.transport                  ReliableTransport
protocol.transport.latency          1

protocol.neighboursP                NeighboursLinkable
protocol.neighboursS                NeighboursLinkable
protocol.neighboursPS               NeighboursLinkable

################
# Simple gossip
################
control.srps                        SimpleRandomPeerSampler
control.srps.step                   10
control.srps.viewSize               100
control.srps.linkableP              neighboursP

protocol.sgossip                    SimpleGossip
protocol.sgossip.step               1
protocol.sgossip.linkableP          neighboursP
protocol.sgossip.transport          transport
protocol.sgossip.fanout             10
protocol.sgossip.variables          10

